package cc.smtweb.framework.core.mvc.service;

import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.db.EntityDao;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/3/3 20:04
 */
public class DefaultProvider<T extends DefaultEntity> extends AbstractCompProvider {
    public String tableName;

    public DefaultProvider(String tableName) {
        this.tableName = tableName;
    }

    public T getBean(long id) {
        EntityDao<T> dao = (EntityDao<T>)DbEngine.getInstance().findDao(tableName);
        return doGetData(tableName + "." + id, () -> dao.queryEntity(id));
    }
}
